List Circuits In Experiment
List experiment’s circuits for AI context.
The tool returns ContextCircuitModel objects, which are higher-level circuit entities for AI agents.
They include circuit context/metadata and reference the underlying Qiskit QuantumCircuit representation.
They are also more lightweight than returning full CircuitModel, which could have large QPY data.
The IDs of the circuits returned by this tool could be used in other tools:
compress_circuit_with_state_compressionto compress the circuit with state compression technique.run_circuits_on_qpu_or_simulatorto run the circuit on the device.list_jobs_for_circuitto get jobs related to the circuit and their results.list_children_circuitsto get transpiled or compressed versions of the circuit
Args: experiment_id: the ID of the parent experiment. user (UserModel): User authenticated with api key. circuit_ids (list[str] | None): When specified, filter out only specific circuits. job_type (str | None): When specified, filter out only circuits that belong to specific job type. Possible values are: “Analytics”, “Data Loading”, “Run”, “State Compression”, “Transpilation”, “Variational”, “Pretraining”, “SKQD”. limit (int): Limit the number of the circuits returned.
Returns: list: List of ContextCircuitModel objects.
Documentation Index
Fetch the complete documentation index at: https://docs.haiqu.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
Response
Successful Response
Class for circuit analytics calculation job status.
Submitted, Running analytics computation, Core metrics computation is done, Advanced metrics computation is done, Evolution computation is done, Done, Error Data model for circuit metrics.